/*
 * Copyright 2004-2005 Revolution Systems Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.revolsys.ui.command;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.revolsys.orm.core.transaction.InvokeMethodInTransaction;

/**
 * @author paustin
 * @version 1.0
 */
public abstract class AbstractSpringFrameworkCommand implements Runnable {
  private static final ApplicationContext applicationContext = new ClassPathXmlApplicationContext(
    "/applicationContext.xml");

  public static ApplicationContext getApplicationContext() {
    return applicationContext;
  }

  public AbstractSpringFrameworkCommand() {
  }

  public void runInTransaction() {
    final InvokeMethodInTransaction invoker = new InvokeMethodInTransaction(
      getApplicationContext(), false, -1, false);
    invoker.execute(this, "run");
  }
}
