package com.revolsys.ui.html.serializer.key;

import com.revolsys.io.xml.XmlWriter;
import com.revolsys.ui.html.HtmlUtil;
import com.revolsys.util.JavaBeanUtil;

/**
 * Serialize an email address as a mailto:link.
 * 
 * @author Paul Austin
 */
public class EmailKeySerializer extends AbstractKeySerializer {

  public EmailKeySerializer(final String name) {
    super(name);
  }

  /**
   * Serialize the value to the XML writer.
   * 
   * @param out The XML writer to serialize to.
   * @param object The object to get the value from.
   */
  public void serialize(final XmlWriter out, final Object object) {
    final Object email = JavaBeanUtil.getProperty(object, getName());
    if (email != null) {
      out.startTag(HtmlUtil.A);
      out.attribute(HtmlUtil.ATTR_HREF, "mailto:" + email);
      out.text(email);
      out.endTag(HtmlUtil.A);
    } else {
      out.text("-");
    }
  }
}
